package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemFireAccidentDesc;
import com.usky.fire.domain.DemFireStatistics;

import java.util.List;

/**
 * <p>
 * 火灾统计表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-09-13
 */
public interface DemFireStatisticsService extends CrudService<DemFireStatistics> {

    /**
     * 火灾统计表 数据查询
     *
     * @param companyCode
     * @return
     */
    CommonPage<DemFireStatistics> fireAccidentStatistic(String companyCode, String startDate, String endDate, Integer pageNum, Integer pageSize);

}
